{ pkgs, lib, ... }: {
  imports = [
    ./base.nix
    ./features/fonts.nix
  ];

  environment.systemPackages = with pkgs; [
    firefox
    curl
    btop
    htop
    fastfetch
    xclip
  ];

  programs.neovim = {
    enable = true;
    defaultEditor = true;
    viAlias = true;
    vimAlias = true;
  };

  # networking.nameservers = lib.mkForce [
  #   # "100.80.255.88"
  #   # "10.100.69.69"
  # ];

  time.timeZone = "America/Los_Angeles";
}
