{ pkgs, lib, ... }: {
  imports = [
    ../../templates/proxmox-lxc.nix
    ../../server.nix
    ../../features/dns-cache.nix
    ../../features/telemetry
  ];

  networking.hostName = "bouncer";
  system.stateVersion = "25.05";
  nixpkgs.hostPlatform = "x86_64-linux";

  environment.systemPackages = [
    pkgs.soju
  ];

  services.soju = {
    enable = true;
    hostName = "broken.doll.repair";
    listen = [ "irc+insecure://0.0.0.0:6667" ];
  };
}
