{ pkgs, config, lib, ... }: let
  winePkg = config.internal.wine;
in {
  options = {
    internal.wine = lib.mkOption {
      type = lib.types.package;
      default = pkgs.wineWowPackages.waylandFull;
    };
  };

  config = {
    environment.systemPackages = [
      pkgs.winetricks
      winePkg
    ];
  };
}
